import { Schema } from 'prosemirror-model';
import { Plugin, PluginSpec } from 'prosemirror-state';
export declare class InstrumentedPlugin<PluginState, NodeSchema extends Schema<any, any>> extends Plugin<PluginState, NodeSchema> {
    constructor(spec: PluginSpec);
    static fromPlugin<T, V extends Schema<any, any>>(plugin: Plugin<T, V>): InstrumentedPlugin<T, V>;
}
